package com.admin.major.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.admin.common.utils.SecurityUtils;
import com.admin.major.mapper.DataFileMapper;
import com.admin.major.domain.DataFile;
import com.admin.major.service.IDataFileService;

/**
 * 数据归档Service业务层处理
 * 
 * @author ljx
 * @date 2022-06-24
 */
@Service
public class DataFileServiceImpl implements IDataFileService 
{
    @Autowired
    private DataFileMapper dataFileMapper;

    /**
     * 查询数据归档
     * 
     * @param dataFileId 数据归档主键
     * @return 数据归档
     */
    @Override
    public DataFile selectDataFileByDataFileId(Long dataFileId)
    {
        return dataFileMapper.selectDataFileByDataFileId(dataFileId);
    }

    /**
     * 查询数据归档列表
     * 
     * @param dataFile 数据归档
     * @return 数据归档
     */
    @Override
    public List<DataFile> selectDataFileList(DataFile dataFile)
    {
        return dataFileMapper.selectDataFileList(dataFile);
    }



    /**
     * 查询数据归档
     *
     * @param dataFile 数据归档
     * @return 数据归档
     */
//    @Override
//    public DataFile selectOneDataFile(DataFile dataFile)
//    {
//        return dataFileMapper.selectDataFileList(dataFile)
//                .stream()
//                .findFirst()
//                .orElse(null);
//    }

    /**
     * 新增数据归档
     *
     * @param dataFile 数据归档
     * @return 结果
     */

    @Override
    public int insertDataFile(DataFile dataFile)
    {
        return dataFileMapper.insertDataFile(dataFile);
    }

    /**
     * 修改数据归档
     * 
     * @param dataFile 数据归档
     * @return 结果
     */
    @Override
    public int updateDataFile(DataFile dataFile)
    {
        return dataFileMapper.updateDataFile(dataFile);
    }

    /**
     * 批量删除数据归档
     * 
     * @param dataFileIds 需要删除的数据归档主键
     * @return 结果
     */
    @Override
    public int deleteDataFileByDataFileIds(Long[] dataFileIds)
    {
        return dataFileMapper.deleteDataFileByDataFileIds(dataFileIds);
    }

    /**
     * 删除数据归档信息
     * 
     * @param dataFileId 数据归档主键
     * @return 结果
     */
    @Override
    public int deleteDataFileByDataFileId(Long dataFileId)
    {
        return dataFileMapper.deleteDataFileByDataFileId(dataFileId);
    }
}
